org.h2.util

## Class ColumnNamer

- java.lang.Object
- - org.h2.util.ColumnNamer

    public class ColumnNamer
    extends java.lang.Object

A factory for column names.

### Constructor Summary

Constructors
Constructor and Description
`ColumnNamer(Session session)`

### Method Summary

Methods
`java.lang.String` `getColumnName(Expression columnExp, int indexOfColumn, java.lang.String columnNameOverride)` Create a standardized column name that isn't null and doesn't have a CR/LF in it.
`java.lang.String` `getColumnName(Expression columnExp, int indexOfColumn, java.lang.String[] columnNameOverides)` Create a standardized column name that isn't null and doesn't have a CR/LF in it.
`ColumnNamerConfiguration` `getConfiguration()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ColumnNamer

    public ColumnNamer(Session session)

### Method Detail

#### getColumnName

    public java.lang.String getColumnName(Expression columnExp,
                                 int indexOfColumn,
                                 java.lang.String[] columnNameOverides)

Create a standardized column name that isn't null and doesn't have a CR/LF in it.

Parameters:
  `columnExp` - the column expression
  `indexOfColumn` - index of column in below array
  `columnNameOverides` - array of overriding column names
Returns:
  the new column name

#### getColumnName

    public java.lang.String getColumnName(Expression columnExp,
                                 int indexOfColumn,
                                 java.lang.String columnNameOverride)

Create a standardized column name that isn't null and doesn't have a CR/LF in it.

Parameters:
  `columnExp` - the column expression
  `indexOfColumn` - index of column in below array
  `columnNameOverride` - single overriding column name
Returns:
  the new column name

#### getConfiguration

    public ColumnNamerConfiguration getConfiguration()